Bug 341701 - multiarch conflicts in kannel
multiarch conflicts in kannel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kannel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:42 EDT by Bill Nottingham
Modified: 2014-03-16 23:09 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4.1-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 11:28:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:42:16 EDT
kannel (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/gw-config from install of kannel-devel-1.4.1-5 conflicts with file from package kannel-devel-1.4.1-5
  file /usr/include/kannel/gw-config.h from install of kannel-devel-1.4.1-5 conflicts with file from package kannel-devel-1.4.1-5
  file /usr/include/kannel/gwlib/gw_uuid_types.h from install of kannel-devel-1.4.1-5 conflicts with file from package kannel-devel-1.4.1-5

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Bug Zapper 2008-05-13 23:32:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthias Saou 2008-12-22 11:28:35 EST
This should now be fixed in devel :

* Mon Dec 22 2008 Matthias Saou <http://freshrpms.net/> 1.4.1-8
- Include patch to fix openssl detection on 64bit.
- Include gw-config wrapper script to fix multilib conflicts (#341701).
- Include patch to remove definitions of types which never happen on Linux.

Note You need to log in before you can comment on or make changes to this bug.